{%- capture product_handles -%}
  {%- for product in collection.products -%}
    {{- product.handle -}}
    {%- unless forloop.last -%},{%- endunless -%}
  {%- endfor -%}
{%- endcapture -%}

{%- include 'product-three-up',
  title: collection.title,
  product_handles: product_handles -%}

{%- assign product_handles = nil -%}
